Bug 1098956 - libepoxy-1.2-0.2 make check failure for arm ppc64 ppc64le archi
Summary: libepoxy-1.2-0.2 make check failure for arm ppc64 ppc64le archi
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libepoxy
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker 1106009
TreeView+ depends on / blocked
 
Reported: 2014-05-19 08:40 UTC by Michel Normand
Modified: 2014-11-01 16:49 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-11-01 16:49:14 UTC


Attachments (Terms of Use)

Description Michel Normand 2014-05-19 08:40:41 UTC
Description of problem: libepoxy-1.2-0.2 make check failure for arm ppc64 ppc64le archi

Version-Release number of selected component (if applicable):
libepoxy-1.2-0.2.20140411git6eb075c.fc21

How reproducible:


Steps to Reproduce:
1. fedpkg clone -a libepoxy
2. fedpkg mockbuild

Actual results:
===
...
XFAIL: egl_and_glx_different_pointers_egl_glx
FAIL: egl_and_glx_different_pointers_egl
FAIL: egl_and_glx_different_pointers_glx
...
============================================================================
Testsuite summary for libepoxy 1.1
============================================================================
# TOTAL: 19
# PASS:  3
# SKIP:  13
# XFAIL: 1
# FAIL:  2
# XPASS: 0
# ERROR: 0
===

Additional info:
failing scratch build logs:
http://kojipkgs.fedoraproject.org//work/tasks/2431/6862431/build.log
http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/9566/1849566/build.log


There is no such problem with previous release libepoxy-debuginfo-1.2-0.1.20140307gitd4ad80f.fc21

Comment 1 Fedora Update System 2014-10-13 18:58:51 UTC
libepoxy-1.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libepoxy-1.2-1.fc21

Comment 2 Fedora Update System 2014-10-16 01:58:19 UTC
Package libepoxy-1.2-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libepoxy-1.2-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12842/libepoxy-1.2-1.fc21
then log in and leave karma (feedback).

Comment 3 Michel Normand 2014-10-16 07:56:32 UTC
I understand that the change brought by libepoxy-1.2-1.fc21
is to ignore the make check error so obviously no more problem on koji build,
at least as reported by scratch build for ppc64/ppc64le:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2149542

Comment 4 Fedora Update System 2014-11-01 16:49:14 UTC
libepoxy-1.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.